| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
NCVMatrix< T > Class Template Reference
CUDA-accelerated Computer Vision » Legacy support

`#include <opencv2/cudalegacy/NCV.hpp>`

Collaboration diagram for NCVMatrix< T >:

## Public Member Functions
| NCVMatrix ()
virtual | ~NCVMatrix ()
T & | at (Ncv32u x, Ncv32u y) const
void | clear ()
NCVStatus | copy2D (NCVMatrix< T > &dst, NcvSize32u roi, cudaStream_t cuStream) const
NCVStatus | copySolid (NCVMatrix< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
Ncv32u | height () const
NCVMemoryType | memType () const
Ncv32u | pitch () const
T * | ptr () const
NcvSize32u | size () const
Ncv32u | stride () const
Ncv32u | width () const

## Protected Attributes
Ncv32u | _height
NCVMemoryType | _memtype
Ncv32u | _pitch
T * | _ptr
Ncv32u | _width

## Detailed Description

template<class T>
class NCVMatrix< T >

NCVMatrix (2D)

## Constructor & Destructor Documentation

## ◆ NCVMatrix()

template<class T >

NCVMatrix< T >::NCVMatrix | ( |  | ) |
| inline

Here is the call graph for this function:

## ◆ ~NCVMatrix()

template<class T >

virtual NCVMatrix< T >::~NCVMatrix | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ at()

template<class T >

T & NCVMatrix< T >::at | ( | Ncv32u | x,
|  | Ncv32u | y ) const
| inline

## ◆ clear()

template<class T >

void NCVMatrix< T >::clear | ( |  | ) |
| inline

## ◆ copy2D()

template<class T >

NCVStatus NCVMatrix< T >::copy2D | ( | NCVMatrix< T > & | dst,
|  | NcvSize32u | roi,
|  | cudaStream_t | cuStream ) const
| inline

Here is the call graph for this function:

## ◆ copySolid()

template<class T >

NCVStatus NCVMatrix< T >::copySolid | ( | NCVMatrix< T > & | dst,
|  | cudaStream_t | cuStream,
|  | size_t | howMuch = 0 ) const
| inline

Here is the call graph for this function:

## ◆ height()

template<class T >

Ncv32u NCVMatrix< T >::height | ( |  | ) | const
| inline

## ◆ memType()

template<class T >

NCVMemoryType NCVMatrix< T >::memType | ( |  | ) | const
| inline

## ◆ pitch()

template<class T >

Ncv32u NCVMatrix< T >::pitch | ( |  | ) | const
| inline

## ◆ ptr()

template<class T >

T * NCVMatrix< T >::ptr | ( |  | ) | const
| inline

## ◆ size()

template<class T >

NcvSize32u NCVMatrix< T >::size | ( |  | ) | const
| inline

## ◆ stride()

template<class T >

Ncv32u NCVMatrix< T >::stride | ( |  | ) | const
| inline

## ◆ width()

template<class T >

Ncv32u NCVMatrix< T >::width | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ _height

template<class T >

Ncv32u NCVMatrix< T >::_height
| protected

## ◆ _memtype

template<class T >

NCVMemoryType NCVMatrix< T >::_memtype
| protected

## ◆ _pitch

template<class T >

Ncv32u NCVMatrix< T >::_pitch
| protected

## ◆ _ptr

template<class T >

T* NCVMatrix< T >::_ptr
| protected

## ◆ _width

template<class T >

Ncv32u NCVMatrix< T >::_width
| protected

The documentation for this class was generated from the following file:

- opencv2/cudalegacy/NCV.hpp